/*  XRoar - a Dragon/Tandy Coco emulator
 *  Copyright (C) 2003  Ciaran Anscomb
 *
 *  See LICENSE for redistribution conditions. */

#ifndef __SAM_H__
#define __SAM_H__

#include <SDL/SDL_types.h>

extern Uint8 ram0[32768];
extern Uint8 ram1[32768];
extern Uint8 rom0[32768];

void sam_init(void);
void sam_reset(void);
Uint8 sam_read_byte(Uint16 addr);
Uint16 sam_read_word(Uint16 addr);
void sam_store_byte(Uint16 addr, Uint8 byte);
Uint8 sam_video_read(void);
void sam_video_addrskip(int skip);
void sam_video_hsync(void);
void sam_video_vsync(void);

int load_image(char *filename, Uint8 *buffer, int size);

#endif  /* __SAM_H__ */
